Sign in to follow this  
buddstud2006

Ppa Issue: Installing In Ubuntu Server 15.10

Recommended Posts

I hope this isnt a really dumb mistake, but I've added the ppa repository, updated, then tried to install with no luck.  It looks like certain items were not found while adding the repository(shows failed at the very end, Get 26).  Can anyone tell me what I'm doing wrong? Is it just an issue with the ppa?

 

My terminal output is below:

 

budd@budddserver:~$ sudo add-apt-repository ppa:tuxpoldo/btsync

 This PPA offers ready to use server and desktop packages for the BitTorrent® Sync application from http://www.bittorrent.com/sync

 

THESE PACKAGES ARE UNOFFICIAL AND NOT THE WORK OF BITTORRENT® INC. PLEASE DO NOT CONTACT THE BITTORRENT® INC. SUPPORT WITH QUESTIONS OR PROBLEMS RELATED TO THE USE OF THE PACKAGES. YOU WILL FIND COMPETENT HELP AND SUPPORT IN THE RELATED DISCUSSION THREAD IN THE SUPPORT FORUM (Links below)

 

The package for Server use is named btsync

The package for Desktop use is named btsync-gui

 

BitTorrent Sync is a simple tool that applies p2p protocol for direct live folder sync with maximum security, network speed and storage capacity. It has native versions for Mac, Windows and Linux, as well as native NAS integration.

 

Support Forum:

http://forum.bittorrent.com/forum/56-bittorrent-sync/

 

Server Package Thread:

http://forum.bittorrent.com/topic/18974-debian-and-ubuntu-server-packages-for-bittorrent-sync/

 

Desktop GUI Package Thread:

http://forum.bittorrent.com/topic/28106-linux-desktop-gui-unofficial-packages-for-bittorrent-sync/

 

Legacy Desktop Package Thread:

http://forum.bittorrent.com/topic/19560-debian-and-ubuntu-desktop-packages-for-bittorrent-sync/

 

Github Project Page:

https://github.com/tuxpoldo/btsync-deb

 

Project Home Page:

http://www.yeasoft.com/site/projects:btsync-deb

 More info: https://launchpad.net/~tuxpoldo/+archive/ubuntu/btsync

Press [ENTER] to continue or ctrl-c to cancel adding it

 

gpg: keyring `/tmp/tmp78brp9_r/secring.gpg' created

gpg: keyring `/tmp/tmp78brp9_r/pubring.gpg' created

gpg: requesting key D294A752 from hkp server keyserver.ubuntu.com

gpg: /tmp/tmp78brp9_r/trustdb.gpg: trustdb created

gpg: key D294A752: public key "Launchpad Leo Moll's PPA" imported

gpg: Total number processed: 1

gpg:               imported: 1  (RSA: 1)

OK

 

budd@budddserver:~$ sudo apt-get update

Hit http://us.archive.ubuntu.com wily InRelease

Get:1 http://security.ubuntu.com wily-security InRelease [64.4 kB]

Get:2 http://us.archive.ubuntu.com wily-updates InRelease [64.4 kB]

Ign http://ppa.launchpad.net wily InRelease

Get:3 http://security.ubuntu.com wily-security/main Sources [17.9 kB]

Ign http://ppa.launchpad.net wily Release.gpg

Hit http://us.archive.ubuntu.com wily-backports InRelease

Get:4 http://security.ubuntu.com wily-security/restricted Sources [2,854 B]

Get:5 http://security.ubuntu.com wily-security/universe Sources [4,714 B]

Ign http://ppa.launchpad.net wily Release

Get:6 http://security.ubuntu.com wily-security/multiverse Sources [1,922 B]

Get:7 http://security.ubuntu.com wily-security/main amd64 Packages [55.1 kB]

Get:8 http://security.ubuntu.com wily-security/restricted amd64 Packages [10.9 kB]

Get:9 http://security.ubuntu.com wily-security/universe amd64 Packages [25.9 kB]

Get:10 http://security.ubuntu.com wily-security/multiverse amd64 Packages [5,859 B]

Get:11 http://security.ubuntu.com wily-security/main i386 Packages [54.3 kB]

Get:12 http://security.ubuntu.com wily-security/restricted i386 Packages [10.8 kB]

Get:13 http://security.ubuntu.com wily-security/universe i386 Packages [26.0 kB]

Get:14 http://security.ubuntu.com wily-security/multiverse i386 Packages [6,052 B]

Get:15 http://us.archive.ubuntu.com wily-updates/main Sources [30.3 kB]

Hit http://security.ubuntu.com wily-security/main Translation-en

Get:16 http://us.archive.ubuntu.com wily-updates/restricted Sources [3,741 B]

Hit http://security.ubuntu.com wily-security/multiverse Translation-en

Get:17 http://us.archive.ubuntu.com wily-updates/universe Sources [6,610 B]

Hit http://security.ubuntu.com wily-security/restricted Translation-en

Get:18 http://us.archive.ubuntu.com wily-updates/multiverse Sources [1,922 B]

Hit http://security.ubuntu.com wily-security/universe Translation-en

Get:19 http://us.archive.ubuntu.com wily-updates/main amd64 Packages [84.1 kB]

Get:20 http://us.archive.ubuntu.com wily-updates/restricted amd64 Packages [13.3 kB]

Get:21 http://us.archive.ubuntu.com wily-updates/universe amd64 Packages [35.1 kB]

Get:22 http://us.archive.ubuntu.com wily-updates/multiverse amd64 Packages [5,859 B]

Get:23 http://us.archive.ubuntu.com wily-updates/main i386 Packages [82.7 kB]

Get:24 http://us.archive.ubuntu.com wily-updates/restricted i386 Packages [13.4 kB]

Get:25 http://us.archive.ubuntu.com wily-updates/universe i386 Packages [35.1 kB]

Get:26 http://us.archive.ubuntu.com wily-updates/multiverse i386 Packages [6,052 B]

Err http://ppa.launchpad.net wily/main amd64 Packages

  404  Not Found

Err http://ppa.launchpad.net wily/main i386 Packages

  404  Not Found

Hit http://us.archive.ubuntu.com wily-backports/restricted Sources

Ign http://ppa.launchpad.net wily/main Translation-en_US

Hit http://us.archive.ubuntu.com wily-backports/multiverse Sources

Hit http://us.archive.ubuntu.com wily-backports/restricted amd64 Packages

Hit http://us.archive.ubuntu.com wily-backports/multiverse amd64 Packages

Ign http://ppa.launchpad.net wily/main Translation-en

Hit http://us.archive.ubuntu.com wily-backports/restricted i386 Packages

Hit http://us.archive.ubuntu.com wily-backports/multiverse i386 Packages

Hit http://us.archive.ubuntu.com wily-backports/multiverse Translation-en

Hit http://us.archive.ubuntu.com wily-backports/restricted Translation-en

Hit http://us.archive.ubuntu.com wily/main Sources

Hit http://us.archive.ubuntu.com wily/restricted Sources

Hit http://us.archive.ubuntu.com wily/universe Sources

Hit http://us.archive.ubuntu.com wily/multiverse Sources

Hit http://us.archive.ubuntu.com wily/main amd64 Packages

Hit http://us.archive.ubuntu.com wily/restricted amd64 Packages

Hit http://us.archive.ubuntu.com wily/universe amd64 Packages

Hit http://us.archive.ubuntu.com wily/multiverse amd64 Packages

Hit http://us.archive.ubuntu.com wily/main i386 Packages

Hit http://us.archive.ubuntu.com wily/restricted i386 Packages

Hit http://us.archive.ubuntu.com wily/universe i386 Packages

Hit http://us.archive.ubuntu.com wily/multiverse i386 Packages

Hit http://us.archive.ubuntu.com wily/main Translation-en

Hit http://us.archive.ubuntu.com wily/multiverse Translation-en

Hit http://us.archive.ubuntu.com wily/restricted Translation-en

Hit http://us.archive.ubuntu.com wily/universe Translation-en

Hit http://us.archive.ubuntu.com wily-updates/main Translation-en

Hit http://us.archive.ubuntu.com wily-updates/multiverse Translation-en

Hit http://us.archive.ubuntu.com wily-updates/restricted Translation-en

Hit http://us.archive.ubuntu.com wily-updates/universe Translation-en

Hit http://us.archive.ubuntu.com wily-backports/main Sources

Hit http://us.archive.ubuntu.com wily-backports/universe Sources

Hit http://us.archive.ubuntu.com wily-backports/main amd64 Packages

Hit http://us.archive.ubuntu.com wily-backports/universe amd64 Packages

Hit http://us.archive.ubuntu.com wily-backports/main i386 Packages

Hit http://us.archive.ubuntu.com wily-backports/universe i386 Packages

Hit http://us.archive.ubuntu.com wily-backports/main Translation-en

Hit http://us.archive.ubuntu.com wily-backports/universe Translation-en

Fetched 669 kB in 6s (101 kB/s)

W: Failed to fetch http://ppa.launchpad.net/tuxpoldo/btsync/ubuntu/dists/wily/main/binary-amd64/Packages  404  Not Found

 

W: Failed to fetch http://ppa.launchpad.net/tuxpoldo/btsync/ubuntu/dists/wily/main/binary-i386/Packages  404  Not Found

 

E: Some index files failed to download. They have been ignored, or old ones used instead.

budd@budddserver:~$ sudo apt-get install btsync

Reading package lists... Done

Building dependency tree

Reading state information... Done

E: Unable to locate package btsync

 

 

 

 

Thank you,

 

Buddstud2006

Share this post


Link to post
Share on other sites

It looks like after reviewing the repository, btsync is not available at this time for Ubuntu 15.10 (15.04 is the newest version).  

 

https://launchpad.net/~tuxpoldo/+archive/ubuntu/btsync

 

Has anyone had any luck manually adding the repository in  /etc/apt/sources.list for a drifferent version of Ubuntu? deleting the 15.10 repository manually and adding the following below...

 

deb http://ppa.launchpad.net/tuxpoldo/btsync/ubuntu vivid main

deb-src http://ppa.launchpad.net/tuxpoldo/btsync/ubuntu vivid main

 

and deleting

 

deb http://ppa.launchpad.net/tuxpoldo/btsync/ubuntu willy main

deb-src http://ppa.launchpad.net/tuxpoldo/btsync/ubuntu willy main 

 

 

I may also try first

 

apt-cache policy btync  and see what other versions of btysnc are available.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this